FreeMat

- Main Page
- Related Pages

vtkPCellDataToPointData

Section: Visualization Toolkit Parallel Classes

# Usage

Like it super class, this filter averages the cell data around a point to get new point data. This subclass requests a layer of ghost cells to make the results invariant to pieces. There is a "PieceInvariant" flag that lets the user change the behavior of the filter to that of its superclass.

To create an instance of class vtkPCellDataToPointData, simply invoke its constructor as follows

      obj = vtkPCellDataToPointData

# Methods

The class vtkPCellDataToPointData has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkPCellDataToPointData class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkPCellDataToPointData = obj.NewInstance ()`
- `vtkPCellDataToPointData = obj.SafeDownCast (vtkObject o)`
- `obj.SetPieceInvariant (int )` - To get piece invariance, this filter has to request an extra ghost level. By default piece invariance is on.
- `int = obj.GetPieceInvariant ()` - To get piece invariance, this filter has to request an extra ghost level. By default piece invariance is on.
- `obj.PieceInvariantOn ()` - To get piece invariance, this filter has to request an extra ghost level. By default piece invariance is on.
- `obj.PieceInvariantOff ()` - To get piece invariance, this filter has to request an extra ghost level. By default piece invariance is on.